package cn.com.qmth.sdk.test;

import cn.com.qmth.sdk.request.OuterGetQuestionAnswerReq;
import cn.com.qmth.sdk.request.OuterGetSubjectiveQuestionReq;
import cn.com.qmth.sdk.response.OuterGetQuestionAnswerResp;
import cn.com.qmth.sdk.util.HttpMethod;
import cn.com.qmth.sdk.util.JsonUtil;
import cn.com.qmth.sdk.util.OKHttpUtil;
import cn.com.qmth.sdk.util.QmthUtil;
import okhttp3.Response;
import org.apache.commons.io.IOUtils;

public class GetQuestionAnswer {

	public static void main(String[] args) {
		OuterGetQuestionAnswerReq req=new OuterGetQuestionAnswerReq();
		req.setQuestionId("5e709b82f40461553514113b");

		String url = QmthUtil.buildUrl("/api/exchange/outer/question/getQuestionAnswer");
		Response resp = null;
		try {
			resp = OKHttpUtil.call(HttpMethod.POST, url, QmthUtil.getSecurityHeaders(),
					JsonUtil.toJson(req));
			String json=resp.body().string();
			System.out.println(resp.code());
			System.out.println(json);

//			String json="{\"cost\":3,\"des\":null,\"answerList\":[\"3\"]}";
			OuterGetQuestionAnswerResp outerGetQuestionAnswerResp = JsonUtil.fromJson(json, OuterGetQuestionAnswerResp.class);
			System.out.println(outerGetQuestionAnswerResp.getAnswerList());
		} catch (Exception e) {
			e.printStackTrace();
		} finally {
			IOUtils.closeQuietly(resp);
		}
	}

}
